
#########################################
## TEMPLATES
#########################################

define command {
	command_name    check_xi_service_ifoperstatusnag
	command_line    $USER1$/check_ifoperstatnag $ARG1$ $ARG2$ $HOSTADDRESS$:$ARG3$
}

define command {
	command_name	check_xi_service_ifoperstatusnag_nr
	command_line	$USER1$/check_ifoperstatnag $ARG1$ $ARG2$ $HOSTADDRESS$:$ARG3$
}

define command {
	command_name	check_xi_service_ifoperstatusnag_name
	command_line	$USER1$/check_ifoperstatnag_by_variable $HOSTADDRESS$ ifName $ARG1$ $ARG2$ $HOSTADDRESS$:$ARG3$
}

define command {
	command_name	check_xi_service_ifoperstatusnag_descr
	command_line	$USER1$/check_ifoperstatnag_by_variable $HOSTADDRESS$ ifDescr $ARG1$ $ARG2$ $HOSTADDRESS$:$ARG3$
}

define command {
	command_name	check_xi_service_ifoperstatusnag_type
	command_line	$USER1$/check_ifoperstatnag_by_variable $HOSTADDRESS$ ifType $ARG1$ $ARG2$ $HOSTADDRESS$:$ARG3$
}

define command {
	command_name	check_xi_service_ifoperstatusnag_eth
	command_line	$USER1$/check_ifoperstatnag_by_variable $HOSTADDRESS$ ifPhysAddress $ARG1$ $ARG2$ $HOSTADDRESS$:$ARG3$
}

define command {
	command_name    check_xi_service_ifoperstatus
	command_line    $USER1$/check_ifoperstatus -H $HOSTADDRESS$ -C $ARG1$ -k $ARG2$ $ARG3$
}

define command {
	command_name	check_xi_service_ifoperstatus_nr
	command_line	$USER1$/check_ifoperstatus -H $HOSTADDRESS$ -C $ARG1$ -k $ARG2$ $ARG3$
}

define command {
	command_name	check_xi_service_ifoperstatus_name
	command_line	$USER1$/check_ifoperstatus -H $HOSTADDRESS$ -C $ARG1$ -n $ARG2$ --by-name $ARG3$
}

define command {
	command_name	check_xi_service_ifoperstatus_descr
	command_line	$USER1$/check_ifoperstatus -H $HOSTADDRESS$ -C $ARG1$ -d $ARG2$ $ARG3$
}

define command {
	command_name	check_xi_service_ifoperstatus_type
	command_line	$USER1$/check_ifoperstatus -H $HOSTADDRESS$ -C $ARG1$ -T $ARG2$ $ARG3$
}

define command {
	command_name	check_xi_service_ifoperstatus_eth
	command_line	$USER1$/check_ifoperstatus -H $HOSTADDRESS$ -C $ARG1$ --physaddr $ARG2$ $ARG3$
}
